#include "protheus.ch"

// *********************************************************************** //
// MT100TOK - Ponto de entrada para validar digitacao da nota fiscal       //
// @copyright (c) 28/05/14 > Marcelo da Cunha > GDVIEW                     //
// *********************************************************************** //

User Function MT100TOK()
	********************
	LOCAL lRetu := .T., lValNfe := SuperGetMv("GD_HVALNFE",.F.,.F.) //Valida NF-e Documento Entrada
	If (lRetu).and.(lValNfe).and.ExistBlock("G050VNfeXml") //Funcao para Validar NF-e x XML
		MsgRun('GDVIEW NF-e XML. Validando NF-e... ','',{ || lRetu := u_G050VNfeXml() })
	Endif
Return lRetu
